/*=======================================================*/
/*  TVQFATTR.C                                           */
/*                                                       */
/*  Last Edit: 5/5/88                                    */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_frattr   get attribute of window's frame        */
/*   Ralf Brown 4/15/88                                  */
/*=======================================================*/

int pascal TVqry_frattr(OBJECT win)
{
   static BYTE query_stream[] = { S_QUERY(4), 0xED, 0x90, 0x01, 0 } ;

/*   query_stream[5] = 0x90 ; */ /* don't know what bit flags stand for yet */
/*   query_stream[6] = 0x01 ; */ /* get first attribute.  assumes all are the same */
   TVwin_stream(win,query_stream) ;
   return query_stream[7] ;
}

/* End of TVQFATTR.C */
